org.h2.engine

## Enum Mode.ExpressionNames

- java.lang.Object
- - java.lang.Enum<Mode.ExpressionNames>
  - - org.h2.engine.Mode.ExpressionNames

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Mode.ExpressionNames>
  Enclosing class:
    Mode

      public static enum Mode.ExpressionNames
      extends java.lang.Enum<Mode.ExpressionNames>

  Generation of column names for expressions.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `C_NUMBER` Use ordinal number of a column with C prefix.
    `EMPTY` Generate empty name.
    `NUMBER` Use ordinal number of a column.
    `OPTIMIZED_SQL` Use optimized SQL representation of expression.
    `ORIGINAL_SQL` Use original SQL representation of expression.
    `POSTGRESQL_STYLE` Use function name for functions and ?column? for other expressions

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Mode.ExpressionNames` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Mode.ExpressionNames[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPTIMIZED_SQL

          public static final Mode.ExpressionNames OPTIMIZED_SQL

      Use optimized SQL representation of expression.

    - #### ORIGINAL_SQL

          public static final Mode.ExpressionNames ORIGINAL_SQL

      Use original SQL representation of expression.

    - #### EMPTY

          public static final Mode.ExpressionNames EMPTY

      Generate empty name.

    - #### NUMBER

          public static final Mode.ExpressionNames NUMBER

      Use ordinal number of a column.

    - #### C_NUMBER

          public static final Mode.ExpressionNames C_NUMBER

      Use ordinal number of a column with C prefix.

    - #### POSTGRESQL_STYLE

          public static final Mode.ExpressionNames POSTGRESQL_STYLE

      Use function name for functions and ?column? for other expressions

  - ### Method Detail

    - #### values

          public static Mode.ExpressionNames[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Mode.ExpressionNames c : Mode.ExpressionNames.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Mode.ExpressionNames valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null